Summary:         Python bindings for the Internet Movie Database (IMDb)
Name:            python3-imdbpy
Version:         2021.4.18
Release:         3%{?dist}
License:         GPL2
URL:             https://imdbpy.sourceforge.io
Source0:         https://github.com/alberanid/imdbpy/releases/download/%{version}/IMDbPY-%{version}.tar.gz

BuildRequires:	 python3
BuildRequires:	 python3-setuptools
BuildRequires:	 python-unversioned-command
#{python3_sitelib} - /usr/lib/python3.12/site-packages
#{python3_version} - 3.12
#{python3_version_nodots} - 312
BuildRequires:	 python3-devel

Requires:        python3-lxml
Requires:        python3-sqlalchemy

%description
Python bindings for the Internet Movie Database (IMDb)

# disable debuginfo, which is useless on binary-only packages
%define debug_package %{nil}
%define __brp_mangle_shebangs /usr/bin/true

%prep
%setup -q -n IMDbPY-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build \
                          --optimize=1 \
                          --root="%{buildroot}/"


%files
%{_bindir}/imdbpy
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/PKG-INFO
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/SOURCES.txt
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/dependency_links.txt
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/entry_points.txt
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/requires.txt
%{python3_sitelib}/IMDbPY-%{version}-py%{python3_version}.egg-info/top_level.txt
%{python3_sitelib}/imdb/Character.py
%{python3_sitelib}/imdb/Company.py
%{python3_sitelib}/imdb/Movie.py
%{python3_sitelib}/imdb/Person.py
%{python3_sitelib}/imdb/__init__.py
%{python3_sitelib}/imdb/__pycache__/Character.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/Character.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/Company.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/Company.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/Movie.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/Movie.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/Person.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/Person.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/_exceptions.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/_exceptions.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/_logging.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/_logging.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/cli.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/cli.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/helpers.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/helpers.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/linguistics.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/linguistics.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/utils.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/utils.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/__pycache__/version.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/__pycache__/version.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/_exceptions.py
%{python3_sitelib}/imdb/_logging.py
%{python3_sitelib}/imdb/cli.py
%{python3_sitelib}/imdb/helpers.py
%{python3_sitelib}/imdb/linguistics.py
%{python3_sitelib}/imdb/locale/__init__.py
%{python3_sitelib}/imdb/locale/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/locale/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/locale/__pycache__/generatepot.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/locale/__pycache__/generatepot.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/locale/__pycache__/msgfmt.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/locale/__pycache__/msgfmt.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/locale/__pycache__/rebuildmo.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/locale/__pycache__/rebuildmo.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/locale/ar/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/bg/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/de/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/en/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/es/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/fr/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/generatepot.py
%{python3_sitelib}/imdb/locale/imdbpy-ar.po
%{python3_sitelib}/imdb/locale/imdbpy-bg.po
%{python3_sitelib}/imdb/locale/imdbpy-de.po
%{python3_sitelib}/imdb/locale/imdbpy-en.po
%{python3_sitelib}/imdb/locale/imdbpy-es.po
%{python3_sitelib}/imdb/locale/imdbpy-fr.po
%{python3_sitelib}/imdb/locale/imdbpy-it.po
%{python3_sitelib}/imdb/locale/imdbpy-pt_BR.po
%{python3_sitelib}/imdb/locale/imdbpy-sr.po
%{python3_sitelib}/imdb/locale/imdbpy-tr.po
%{python3_sitelib}/imdb/locale/imdbpy.pot
%{python3_sitelib}/imdb/locale/it/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/msgfmt.py
%{python3_sitelib}/imdb/locale/pt_BR/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/rebuildmo.py
%{python3_sitelib}/imdb/locale/sr/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/locale/tr/LC_MESSAGES/imdbpy.mo
%{python3_sitelib}/imdb/parser/__init__.py
%{python3_sitelib}/imdb/parser/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/__pycache__/logging.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/__pycache__/logging.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__init__.py
%{python3_sitelib}/imdb/parser/http/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/companyParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/companyParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/listParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/listParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/logging.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/logging.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/movieParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/movieParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/personParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/personParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/piculet.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/piculet.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchCompanyParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchCompanyParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchKeywordParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchKeywordParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchMovieAdvancedParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchMovieAdvancedParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchMovieParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchMovieParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchPersonParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/searchPersonParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/topBottomParser.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/topBottomParser.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/utils.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/http/__pycache__/utils.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/http/companyParser.py
%{python3_sitelib}/imdb/parser/http/listParser.py
%{python3_sitelib}/imdb/parser/http/logging.py
%{python3_sitelib}/imdb/parser/http/movieParser.py
%{python3_sitelib}/imdb/parser/http/personParser.py
%{python3_sitelib}/imdb/parser/http/piculet.py
%{python3_sitelib}/imdb/parser/http/searchCompanyParser.py
%{python3_sitelib}/imdb/parser/http/searchKeywordParser.py
%{python3_sitelib}/imdb/parser/http/searchMovieAdvancedParser.py
%{python3_sitelib}/imdb/parser/http/searchMovieParser.py
%{python3_sitelib}/imdb/parser/http/searchPersonParser.py
%{python3_sitelib}/imdb/parser/http/topBottomParser.py
%{python3_sitelib}/imdb/parser/http/utils.py
%{python3_sitelib}/imdb/parser/logging.py
%{python3_sitelib}/imdb/parser/s3/__init__.py
%{python3_sitelib}/imdb/parser/s3/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/s3/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/s3/__pycache__/utils.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/s3/__pycache__/utils.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/s3/utils.py
%{python3_sitelib}/imdb/parser/sql/__init__.py
%{python3_sitelib}/imdb/parser/sql/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/alchemyadapter.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/alchemyadapter.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/dbschema.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/dbschema.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/logging.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/imdb/parser/sql/__pycache__/logging.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/imdb/parser/sql/alchemyadapter.py
%{python3_sitelib}/imdb/parser/sql/dbschema.py
%{python3_sitelib}/imdb/parser/sql/logging.py
%{python3_sitelib}/imdb/utils.py
%{python3_sitelib}/imdb/version.py
/usr/bin/get_company.py
/usr/bin/get_first_company.py
/usr/bin/get_first_movie.py
/usr/bin/get_first_person.py
/usr/bin/get_keyword.py
/usr/bin/get_movie.py
/usr/bin/get_person.py
/usr/bin/get_top_bottom_movies.py
/usr/bin/imdbpy2sql.py
/usr/bin/s32imdbpy.py
/usr/bin/search_company.py
/usr/bin/search_keyword.py
/usr/bin/search_movie.py
/usr/bin/search_person.py


%changelog
* Mon Dec 11 2023  - Adrien_D <adriend@fedora.lan> 2021.4.18-3.fc39
+ Using python3_sitelib python3_version and python3_version_nodots macros

* Mon Dec 11 2023  - Adrien_D <adriend@fedora.lan> 2021.4.18-2.fc39
+ Revision: 2021.4.18-2.fc39
